@media screen and (max-width: 1199px) {
    .general__list {
      display: flex;
      
      flex-wrap: wrap;
    }
    
    .team-list li {
      display: flex;
      flex-direction: column;
      width: 50%;
      justify-content: center;
      align-items: center;
    }
    .testimonials__link {
      flex-direction: column;
    }
  
    .testimonials__element {
      flex-direction: column;
      align-items: center;
      justify-content: center;
    }
  
    .testimonials__figure {
      margin-bottom: 15px;
    }
  
    .testimonials__element {
      margin-bottom: 60px;
    }
  
    .testimonials__figure {
      margin-right: 0;
    }
  
    .testimonials__h2 {
      display: flex;
      justify-content: center;
    }
  
    .testimonials-list__p {
      display: flex;
      justify-content: center;
    }
  
    .general__figure {
    }
    .general__link {
      width: 25%;
      text-align: center;
  
      margin-bottom: 60px;
    }
  
    .team-list__p {
      width: 90%;
      margin-right: 0px;
    }
  
    .portfolio__link_comp {
      width: 40%;
      text-align: center;
      padding-bottom: 128px;
    }
  }
  
  @media screen and (max-width: 991px) {
    .content__text {
      text-align: center;
      margin: 0 auto;
      padding: 0px 15px;
      margin-bottom: 50px;
      text-indent: 0px;
      color: var(--white);
    }
  
    .general__figure {
      margin-bottom: 20px;
  }
  
    .content__text h1 {
      text-align: center;
      padding-right: 0px;
      font-size: 38px;
      padding-bottom: 20px;
    }
  
    .testimonials__list {
      display: flex;
      flex-wrap: wrap;
      justify-content: center;
      height: 100%;
    }
    /* .testimonials__link {
      width: 45%;
      text-align: center;
      margin-left: 0px;
      padding-bottom: 51px;
    } */
    .touch-form {
      flex-basis: 100%;
      width: 100%;
      z-index: 2;
      position: relative;
    }
    .footer-list {
      margin: 0 30px;
    }
  
    /* .team-list li {
    } */
  
    .team__list-icon li {
      margin-right: 10px;
    }
    .team__list-icon li:last-child {
      margin-right: 0px;
    }
  
    .skills-wrapper {
      margin: 0 auto;
      position: relative;
      max-width: 1140px;
      padding: 80px 10px 70px 10px;
    }
  
    .skills-list li {
      width: 50%;
    }
  
    .footer-list {
      margin: 0 30px;
    }
  
    .footer-list {
      display: flex;
      /* flex-direction: column; */
      justify-content: space-between;
      align-items: center;
      padding-bottom: 45px;
    }
    
    .footer {
      height: 100%;
    }
  }
  
  @media screen and (max-width: 767px) {
    body.lock {
      overflow: hidden;
    }
    .container {
      padding: 0 20px;
    }
    .welcome-wrapper {
      height: 100vh;
    }
    .header__body {
      padding: 40px 0px 0 0px;
      height: 50px;
    }
    .header__logo {
      flex: 0 0 80px;
      margin: 0;
    }
    .header__burger {
      display: block;
      position: relative;
      width: 30px;
      height: 20px;
      z-index: 3;
    }
    .header__burger span {
      position: absolute;
      background-color: var(--white);
      width: 100%;
      height: 2px;
      left: 0;
      top: 9px;
      transition: all 0.3s ease 0s;
    }
    .header__burger:before,
    .header__burger:after {
      content: "";
      background-color: var(--white);
      position: absolute;
      width: 100%;
      height: 2px;
      left: 0;
    }
    .header__burger:before {
      top: 0;
    }
    .header__burger:after {
      bottom: 0;
      transition: all 0.3s ease 0s;
    }
    .header__burger.active:before {
      transform: rotate(45deg);
      top: 9px;
    }
    .header__burger.active:after {
      transform: rotate(-45deg);
      bottom: 9px;
    }
    .header__burger.active span {
      transform: scale(0);
    }
    .header__menu {
      position: fixed;
      top: -100%;
      left: 0;
      width: 100%;
      height: 100%;
      background-color: var(--viol);
      padding: 70px 10px 20px 10px;
      transition: all 0.3s ease 0s;
      overflow: auto;
      text-align: center;
      font-size: 50px;
    }
    .header__menu.active {
      top: 0;
    }
    .header__list {
      display: block;
    }
    .header__list li {
      margin: 0 0 20px 0;
    }
    .header__link {
      font-size: 34px;
    }
    .header__link:hover {
      background-color: darkslategray;
    }
    .content {
      padding: 145px 0px 0px 0px;
    }
    .content__text h1 {
      text-align: center;
      padding-right: 20px;
      font-size: 30px;
      padding-bottom: 20px;
    }
  
    .general__list {
      display: flex;
      align-items: flex-start;
      flex-wrap: wrap;
    }
    .general__figure {
    }
    .general__link {
      width: 50%;
      text-align: center;
      margin-left: 0px;
      margin-bottom: 20px;
    }
    .general__h2 {
      text-transform: uppercase;
      margin-bottom: 27px;
      font-size: 20px;
      font-weight: 700;
    }
    .general__link p {
      width: 90%;
      font-size: 16px;
    }
    .portfolio__link {
      display: flex;
      align-items: center;
    }
  
    .general__figure {
      margin-bottom: 15px;
    }
  
    .team__link-li {
      margin-bottom: 45px;
    }
  /*   
      .general__list .team-list__p {
        width: 90%;
        font-size: 18px;
        margin-right: 0 auto;
      } */
  
    .skills-wrapper {
      padding: 80px 10px 60px 10px;
    }
  
    .portfolio__link li {
      width: 90%;
    }
    .portfolio__link_comp {
      flex-basis: 100%;
      margin-left: 0px;
      margin-bottom: 60px;
    }
    .testimonials__list {
      display: flex;
      flex-wrap: wrap;
      height: 100%;
    }
  
    /* .testimonials__link {
      width: 100%;
      text-align: center;
      margin-left: 0px;
      padding-bottom: 51px;
      justify-content: center;
    } */
  
    .touch-form .form-wrapper label {
      flex-basis: 100%;
      width: 100%;
      z-index: 2;
      position: relative;
    }
    .footer-list {
      margin: 0 30px;
    }
  
    .footer-list {
      display: flex;
      /* flex-direction: column; */
      justify-content: space-between;
      align-items: center;
      padding-bottom: 45px;
    }
  
    .footer {
      height: 100%;
    }
  }
  
  @media screen and (max-width: 575px) {
  
    .content {
      padding: 112px 0px 0px 0px;
    }
  
    .container-team-elem {
    }
  
    .container-services-elem {
      padding-bottom: 50px;
    }
    .general__info {
      display: flex;
    }
    .general__list {
      display: flex;
      align-items: center;
    }
    .container-portfolio .general__figure {
      margin-bottom: 45px;
    }
    .general__link {
      flex-basis: 90%;
      text-align: center;
      margin-left: 0px;
      max-width: 90%;
      margin-bottom: 40px;
    }
  
  
    .services__section-title-text {
      padding-top: 80px;
      padding-bottom: 65px;
  }
  
  .services-wrapper {
    padding: 0 10px;
  }
  
    .portfolio__img img {
      width: 90%;
      margin: 0 auto;
    }
  
    .team-wrapper {
      
    }
    .team__list-icon li {
      display: flex;
      justify-content: center;
    }
  
    /* .general__link {
      margin-bottom: 10px;
  } */
  
    .general__h2 {
      text-transform: uppercase;
      margin-bottom: 10px;
      font-size: 20px;
      font-weight: 700;
    }
    .general__link p {
      width: 100%;
      font-size: 16px;
      /* margin-right: 0; */
    }
    .portfolio__link {
      display: flex;
      align-items: center;
    }
    .portfolio__link li {
      width: 90%;
    }
    .portfolio__link_comp {
      flex-basis: 100%;
      margin-left: 0px;
      margin-bottom: 60px;
    }
  
    /* .testimonials__link {
      display: flex;
      flex-wrap: wrap;
      align-items: center;
      margin-left: 0px;
      margin-bottom: 20px;
  } */
  
    .testimonials__list {
      display: flex;
      flex-direction: column;
      flex-wrap: wrap;
      height: 100%;
    }
  
    .form-wrapper label {
      flex-basis: 100%;
      position: relative;
    }
  
    .footer {
      height: 100%;
    }
    .footer-list {
      margin: 0 30px;
    }
  
    .footer-list {
      font-size: 22px;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      align-items: center;
      padding-bottom: 45px;
    }
  
    .portfolio__section {
      margin: 0 auto;
      color: var(--black);
      display: flex;
      flex-direction: column;
      justify-content: space-around;
      align-items: inherit;
  }
  
    .portfolio__list-title {
      display: flex;
      /* flex-direction: column; */
      justify-content: space-evenly;
      /* align-items: center; */
      margin-bottom: 30px;
    }
  
    .portfolio__link-title {
      display: flex;
      justify-content: center;
      width: 84px;
      height: 38px;
      text-align: center;
      background-color: #ebcb8d;
      border-radius: 5%;
      align-items: center;
      margin-bottom: 20px;
    }
  
    .portfolio__h2 {
      margin-bottom: 0px;
    }
  
    .portfolio__link-title {
      margin-right: 0;
    }
  
    .portfolio__link_comp {
      padding-bottom: 0px;
    }
  
    .portfolio__link-title:hover {
      cursor: pointer;
      background-color: #ffffff;
    }
  
    .portfolio__link-title a {
      display: block;
      font-size: 18px;
      text-transform: uppercase;
      color: var(--black);
    }
  
    .testimonials__li-text {
      width: 80%;
    }
  
    .content__text {
      text-align: center;
      margin: 0 auto;
      padding-left: 0px;
      margin-bottom: 50px;
      text-indent: 0px;
      color: var(--white);
    }
  
    .content__text h1 {
      text-align: center;
      padding-right: 0px;
      font-size: 18px;
      padding-bottom: 20px;
    }
  
    .skills-list {
      margin-bottom: 0px;
    }
  }
  
  @media screen and (max-width: 375px) {
  
    .portfolio__link-title {
      width: 64px;
      height: 41px;
  
  
  }